<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomUserFieldReq StructType
 * @subpackage Structs
 */
class GetCustomUserFieldReq extends AbstractStructBase
{
    /**
     * The field
     * Meta information extracted from the WSDL
     * - choice: field | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $field;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: field | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetCustomUserFieldReq
     * @uses GetCustomUserFieldReq::setField()
     * @uses GetCustomUserFieldReq::setUuid()
     * @uses GetCustomUserFieldReq::setReturnedTags()
     * @uses GetCustomUserFieldReq::setSequence()
     * @param string $field
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField $returnedTags
     * @param int $sequence
     */
    public function __construct($field = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField $returnedTags = null, $sequence = null)
    {
        $this
            ->setField($field)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get field value
     * @return string
     */
    public function getField()
    {
        return isset($this->field) ? $this->field : null;
    }
    /**
     * Set field value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $field
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCustomUserFieldReq
     */
    public function setField($field = null)
    {
        if (is_null($field) || (is_array($field) && empty($field))) {
            unset($this->field);
        } else {
            $this->field = $field;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCustomUserFieldReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCustomUserFieldReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RCustomUserField $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCustomUserFieldReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
